Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.io
Class FileManager

    java.lang.Object
      unity.io.FileManager

    public class FileManager

extends java.lang.Object

Constructor Summary
`FileManager()`

Method Summary
`static void` | `closeFile(java.io.BufferedInputStream f)`
`static void` | `closeFile(java.io.BufferedOutputStream f)`
`static void` | `closeFile(java.io.BufferedReader breader)`
`static void` | `closeFile(java.io.PrintWriter pwriter)`
`static void` | `closeFile(java.io.RandomAccessFile f)`
`static java.lang.String` | `createTempFileName(java.lang.String hint)`
`static boolean` | `deleteDirectory(java.io.File dir)`
`static void` | `deleteFile(java.lang.String fname)`
`static java.io.InputStream` | `getDecryptedStream(java.lang.String fileName, java.lang.String password)`
`static java.lang.String` | `getFileName(java.lang.String pathName)`
`static java.lang.String` | `getPath(java.lang.String pathName)`
`static java.io.InputStream` | `getStream(java.lang.String fileName)`
`static java.lang.String` | `getTemporaryPath()`
`static java.lang.String` | `getXMLFile(java.lang.String resource)`
`static java.net.URL` | `JarFind(java.lang.String fileName)`
`static java.io.BufferedInputStream` | `openInputFile(java.lang.String fname)`
`static java.io.RandomAccessFile` | `openInputOutputFile(java.lang.String fname, java.lang.String mode)`
`static java.io.BufferedOutputStream` | `openOutputFile(java.lang.String fname)`
`static java.io.BufferedReader` | `openTextInputFile(java.lang.String fname)`
`static java.io.PrintWriter` | `openTextOutputFile(java.lang.String fname)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileManager

    public FileManager()

Method Detail

### openTextInputFile

    public static java.io.BufferedReader openTextInputFile(java.lang.String fname)
                                                    throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### openTextOutputFile

    public static java.io.PrintWriter openTextOutputFile(java.lang.String fname)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### openInputFile

    public static java.io.BufferedInputStream openInputFile(java.lang.String fname)
                                                     throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### openOutputFile

    public static java.io.BufferedOutputStream openOutputFile(java.lang.String fname)
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### openInputOutputFile

    public static java.io.RandomAccessFile openInputOutputFile(java.lang.String fname,
                                                               java.lang.String mode)
                                                        throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### closeFile

    public static void closeFile(java.io.RandomAccessFile f)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeFile

    public static void closeFile(java.io.BufferedReader breader)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeFile

    public static void closeFile(java.io.PrintWriter pwriter)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeFile

    public static void closeFile(java.io.BufferedInputStream f)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeFile

    public static void closeFile(java.io.BufferedOutputStream f)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFileName

    public static java.lang.String getFileName(java.lang.String pathName)

### getPath

    public static java.lang.String getPath(java.lang.String pathName)

### createTempFileName

    public static java.lang.String createTempFileName(java.lang.String hint)

### getTemporaryPath

    public static java.lang.String getTemporaryPath()
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### deleteDirectory

    public static boolean deleteDirectory(java.io.File dir)

### deleteFile

    public static void deleteFile(java.lang.String fname)

### getXMLFile

    public static java.lang.String getXMLFile(java.lang.String resource)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStream

    public static java.io.InputStream getStream(java.lang.String fileName)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDecryptedStream

    public static java.io.InputStream getDecryptedStream(java.lang.String fileName,
                                                         java.lang.String password)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### JarFind

    public static java.net.URL JarFind(java.lang.String fileName)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD